=== avidemux_core/ADM_coreAudioEncoder/src/CMakeLists.txt ===


SET(ADM_LIB ADM_coreAudioEncoder6)
ADM_ADD_SHARED_LIBRARY(${ADM_LIB})
TARGET_SOURCES(${ADM_LIB} PRIVATE audioencoder.cpp)

TARGET_LINK_LIBRARIES(${ADM_LIB} PUBLIC ADM_core6 ADM_coreAudio6 ADM_coreAudioFilterAPI6 ADM_coreUI6)
TARGET_INCLUDE_DIRECTORIES(${ADM_LIB} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../include)

ADM_INSTALL_LIB(${ADM_LIB})
