=== avidemux_core/ADM_coreVideoEncoder/ADM_hwAccelEncoder/CMakeLists.txt ===
UNSET(CMAKE_CXX_VISIBILITY_PRESET)
UNSET(CMAKE_VISIBILITY_INLINES_HIDDEN)

IF(USE_LIBVA)
ADD_SUBDIRECTORY(ADM_coreLibVAEnc)
ENDIF(USE_LIBVA)
