=== debian/changelog ===
avidemux-dmo (1:2.8.1+20250608.git5f89c99-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 7.0.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 07:36:48 +0200

avidemux-dmo (1:2.8.1+20250608.git5f89c99-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Move *.py files from avidemux-common to  avidemux-plugins package

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jun 2025 10:41:05 +0200

avidemux-dmo (1:2.8.1+20250521.gitea2acac-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 08:02:03 +0200

avidemux-dmo (1:2.8.1+20250520.gitfc61cec-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2025 09:28:32 +0200

avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Apr 2025 08:30:00 +0200

avidemux-dmo (1:2.8.1+20250328.gitef64be5a7-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Remove 07_fix-install-path.patch merged upstrem
  * Enable/disable nvenc detection in debian/rules for amd64 and arm64
    arches

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 17:20:52 +0100

avidemux-dmo (1:2.8.1+20250316.git7fea4c667-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 11:30:33 +0100

avidemux-dmo (1:2.8.1+20250225.git7ce3e44b6-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Fix Exec field (avidemux3_qt5 --> avidemux3_qt6) in
    org.avidemux.Avidemux.desktop

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Feb 2025 00:46:07 +0100

avidemux-dmo (1:2.8.1+20250208.git085d19fe8-dmo2) unstable; urgency=medium

  * Update binary name avidemux3_qt5 --> avidemux3_qt6 in avidemux-qt.links,
    avidemux-qt.postinst and avidemux-qt.prerm

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Feb 2025 10:22:43 +0100

avidemux-dmo (1:2.8.1+20250208.git085d19fe8-dmo1) unstable; urgency=medium

  * New git release from master branch.
  * Build with Qt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Feb 2025 09:07:38 +0100

avidemux-dmo (1:2.8.1+20250109.git08860c2d1-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 09:59:13 +0100

avidemux-dmo (1:2.8.1+20241226.gitce994de41-dmo2) unstable; urgency=medium

  * Restore 07_Fix-armel-armhf-with-binutils-2.43 patch to fix build for
    armel and armhf arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Dec 2024 11:54:38 +0100

avidemux-dmo (1:2.8.1+20241226.gitce994de41-dmo1) unstable; urgency=medium

  * New git release from master branch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Dec 2024 09:52:51 +0100

avidemux-dmo (1:2.8.1+20241123.gitb74c1a154-dmo1) unstable; urgency=medium

  * Git checkout master

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Oct 2024 14:43:37 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo8) unstable; urgency=medium

  * Restore 04_ppc-support patch from -6 (a file has been lost).
  * Add nv-codec-headers to Build-Conflicts:

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 16:50:30 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 4.4.5
  * Disable nvenc (Not supported by ffmpeg)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 Jul 2024 15:36:37 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo6) unstable; urgency=medium

  * Build with libvpx9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 May 2024 11:25:33 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo5) unstable; urgency=medium

  * Build with libx265-209
  * Included ffmpeg is too old to work with latest nv-codec-headers
    12.1.14.0, so disable nvenc. BTW latest avidemux release 2.8.1 is a
    year and a half old.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Apr 2024 14:45:47 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 16:36:59 +0100

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo3) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 00:59:53 +0200
